/**Begin C:\PDM_UPGRADE\PDM1\SRC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SRC_RATIOTYPECHG') 
 CREATE TABLE T_SRC_RATIOTYPECHG (
FID BIGINT DEFAULT 0 NOT NULL,
FPARENTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITYKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FPENTITYKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FRATIOTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FNEWRATIOTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SRC_RATIOTYPECHGENTRY') 
 CREATE TABLE T_SRC_RATIOTYPECHGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPACKAGEID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPURLISTID BIGINT DEFAULT 0 NOT NULL,
FWINERQTY INT DEFAULT 0 NOT NULL,
FORDERRATIO01 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERRATIO02 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERRATIO04 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERRATIO03 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERRATIO05 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERRATIO06 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERRATIO07 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERRATIO08 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERRATIO09 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERRATIO10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSURPLUSRATIO CHAR(1) DEFAULT '1' NOT NULL,
FALTERQTY INT DEFAULT 0 NOT NULL,
FTRAINQTY INT DEFAULT 0 NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\SRC_table.sql **/
